dbXML API

## org.dbxml.core.query
Class XPathQueryResolver

    java.lang.Object
      |
      +--org.dbxml.server.SimpleConfigurable
            |
            +--org.dbxml.core.query.XPathQueryResolver

All Implemented Interfaces:
  org.dbxml.server.Configurable, QueryResolver

public final class XPathQueryResolver
extends org.dbxml.server.SimpleConfigurable
implements QueryResolver

XPathQueryResolver

Field Summary
`static int` `FUNC_BOOLEAN`
`static int` `FUNC_CEILING`
`static int` `FUNC_CONCAT`
`static int` `FUNC_CONTAINS`
`static int` `FUNC_FALSE`
`static int` `FUNC_FLOOR`
`static int` `FUNC_NORMALIZE_SPACE`
`static int` `FUNC_NOT`
`static int` `FUNC_NUMBER`
`static int` `FUNC_ROUND`
`static int` `FUNC_STARTS_WITH`
`static int` `FUNC_STRING`
`static int` `FUNC_STRING_LENGTH`
`static int` `FUNC_SUBSTRING`
`static int` `FUNC_SUBSTRING_AFTER`
`static int` `FUNC_SUBSTRING_BEFORE`
`static int` `FUNC_TRANSLATE`
`static int` `FUNC_TRUE`
`static java.lang.String` `STYLE_XPATH`

Constructor Summary
`XPathQueryResolver()`

Method Summary
`Query` `compileQuery(Collection context, java.lang.String query, NamespaceMap nsMap, Key[] keys)` compileQuery compiles a Query against the specified Collection context and returns the compiled Query.
`java.lang.String` `getQueryStyle()` getQueryStyle returns the Query style supported by this Resolver.
`NodeSet` `query(Collection context, java.lang.String query, NamespaceMap nsMap, Key[] keys)` query compiles a Query against the specified Collection context and returns the query results.
`void` `setConfig(org.dbxml.server.Configuration config)`
`void` `setQueryEngine(QueryEngine engine)` setQueryEngine hands a reference for the QueryEngine to the Resolver.

Methods inherited from class org.dbxml.server.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.dbxml.server.Configurable
`getConfig`

Field Detail

### STYLE_XPATH

    public static final java.lang.String STYLE_XPATH

### FUNC_NOT

    public static final int FUNC_NOT

### FUNC_TRUE

    public static final int FUNC_TRUE

### FUNC_FALSE

    public static final int FUNC_FALSE

### FUNC_BOOLEAN

    public static final int FUNC_BOOLEAN

### FUNC_NUMBER

    public static final int FUNC_NUMBER

### FUNC_FLOOR

    public static final int FUNC_FLOOR

### FUNC_CEILING

    public static final int FUNC_CEILING

### FUNC_ROUND

    public static final int FUNC_ROUND

### FUNC_STRING

    public static final int FUNC_STRING

### FUNC_STARTS_WITH

    public static final int FUNC_STARTS_WITH

### FUNC_CONTAINS

    public static final int FUNC_CONTAINS

### FUNC_SUBSTRING_BEFORE

    public static final int FUNC_SUBSTRING_BEFORE

### FUNC_SUBSTRING_AFTER

    public static final int FUNC_SUBSTRING_AFTER

### FUNC_NORMALIZE_SPACE

    public static final int FUNC_NORMALIZE_SPACE

### FUNC_TRANSLATE

    public static final int FUNC_TRANSLATE

### FUNC_CONCAT

    public static final int FUNC_CONCAT

### FUNC_SUBSTRING

    public static final int FUNC_SUBSTRING

### FUNC_STRING_LENGTH

    public static final int FUNC_STRING_LENGTH

Constructor Detail

### XPathQueryResolver

    public XPathQueryResolver()

Method Detail

### setConfig

    public void setConfig(org.dbxml.server.Configuration config)
                   throws org.dbxml.server.dbXMLException

  Specified by:
    `setConfig` in interface `org.dbxml.server.Configurable`
  Overrides:
    `setConfig` in class `org.dbxml.server.SimpleConfigurable`

### getQueryStyle

    public java.lang.String getQueryStyle()

  Description copied from interface: `QueryResolver`
  getQueryStyle returns the Query style supported by this Resolver.
  Specified by:
    `getQueryStyle` in interface `QueryResolver`
  Following copied from interface: `org.dbxml.core.query.QueryResolver`
  Returns:
    The query style

### setQueryEngine

    public void setQueryEngine(QueryEngine engine)

  Description copied from interface: `QueryResolver`
  setQueryEngine hands a reference for the QueryEngine to the Resolver.
  Specified by:
    `setQueryEngine` in interface `QueryResolver`
  Following copied from interface: `org.dbxml.core.query.QueryResolver`
  Parameters:
    `engine` - The QueryEngine

### compileQuery

    public Query compileQuery(Collection context,
                              java.lang.String query,
                              NamespaceMap nsMap,
                              Key[] keys)
                       throws QueryException

  Description copied from interface: `QueryResolver`
  compileQuery compiles a Query against the specified Collection context and returns the compiled Query. This DOES NOT actually run the query, merely just parses it and primes any possible Indexers that the query might need.
  Specified by:
    `compileQuery` in interface `QueryResolver`
  Following copied from interface: `org.dbxml.core.query.QueryResolver`
  Parameters:
    `context` - The Collection Context
    `query` - The Query
    `nsMap` - The namespace Map (if any)
    `keys` - The initial Key set to use (if any)
  Returns:
    The compiled Query

### query

    public NodeSet query(Collection context,
                         java.lang.String query,
                         NamespaceMap nsMap,
                         Key[] keys)
                  throws QueryException

  Description copied from interface: `QueryResolver`
  query compiles a Query against the specified Collection context and returns the query results.
  Specified by:
    `query` in interface `QueryResolver`
  Following copied from interface: `org.dbxml.core.query.QueryResolver`
  Parameters:
    `context` - The Collection Context
    `query` - The Query
    `nsMap` - The namespace Map (if any)
    `keys` - The initial Key set to use (if any)
  Returns:
    The resulting NodeSet

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved